Subject: Re: [bug#70690] [PATCH] gnu: rust: install rust-analyzer-proc-macro-srv

From: "Brennan Vincent" <[email-masked]>
Date: Thu, 20 Feb 2025 14:51:11 -0700

Efraim Flashner <[email-masked]> writes:

> On Thu, Feb 20, 2025 at 05:27:29PM +0100, Simon Tournier wrote:
>> Hi Rust team,
>> 
>> On Tue, 30 Apr 2024 at 23:47, Brennan Vincent <[email-masked]> wrote:
>> > * gnu/packages/rust.scm (rust): Install rust-analyzer-proc-macro-srv
>> > rust-analyzer relies on this binary existing, and recent versions
>> > of rust no longer install it by default.
>> >
>> > Change-Id: I7ce59c065a35cf2592e7eb2fa57317aa9a8df675
>> > ---
>> >  gnu/packages/rust.scm | 15 +++++++++++++--
>> >  1 file changed, 13 insertions(+), 2 deletions(-)
>> 
>> This patch is marked as reviewed-looks-good and had fallen into the
>> cracks.  Merge or close?  WDYT?
>
> The patch looks so good I basically re-implemented it myself! :/
>
> Currently the version of this patch sitting on the rust-team branch
> installs rust-analyzer-proc-macro-srv from stage1-tools-bin, is it
> supposed to be from stage2-tools instead?  If so I'll create a patch to
> fix that and attribute it to you (Brennan) since I should've checked the
> patch tracker.

I didn't think about it too hard, but I'm not sure why we'd ever prefer
to install things from an _earlier_ bootstrapping stage...

> -- 
> Efraim Flashner   <[email-masked]>   אפרים פלשנר
> GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted